#!/bin/bash

apt-get update

# Docconv.
GO_VERSION='1.13'
apt-get install curl poppler-utils wv unrtf tidy -y
curl -O https://dl.google.com/go/go${GO_VERSION}.linux-amd64.tar.gz
tar xvf go${GO_VERSION}.linux-amd64.tar.gz
chown -R root:root ./go
mv go /usr/local
/usr/local/go/bin/go get github.com/JalfResi/justext

/usr/local/go/bin/go get code.sajari.com/docconv/...
cp /root/go/bin/docd /usr/bin/

# Pdftotext.
apt-get install poppler-utils -y

# Python Pdf2txt.
apt-get install python3-pip -y
pip3 install pdfminer.six

# Tika.
TIKA_VERSION='1.24'
mkdir -p /usr/share/man/man1
mkdir -p /var/apache-tika
apt-get install curl default-jre -y
curl http://archive.apache.org/dist/tika/tika-app-${TIKA_VERSION}.jar -o /var/apache-tika/tika-app-${TIKA_VERSION}.jar

# Tika server.
TIKA_SERVER_VERSION='1.24'
mkdir -p /usr/share/man/man1
mkdir -p /var/apache-tika
apt-get install curl default-jre -y
curl http://archive.apache.org/dist/tika/tika-server-${TIKA_SERVER_VERSION}.jar -o /var/apache-tika/tika-server-${TIKA_SERVER_VERSION}.jar
chmod 777 /var/apache-tika/tika-server-${TIKA_SERVER_VERSION}.jar
#java -jar tika-server-${TIKA_SERVER_VERSION}.jar
